﻿using System.Windows;
using C1.WPF;

namespace C1TreeViewC1FlexGrid_DragDrop
{
    public class CustomTemplateSelector : C1DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item is Category)
            {
                return Resources["DepartmentTemplate"] as DataTemplate;
            }
            else if(item is SubCategory)
            {
                if ((item as SubCategory).SubCategoryID == 1)
                {
                    return Resources["TShirtTemplate"] as DataTemplate;
                }
                else if ((item as SubCategory).SubCategoryID == 2)
                {
                    return Resources["CasualShirtTemplate"] as DataTemplate;
                }
                else if ((item as SubCategory).SubCategoryID == 3)
                {
                    return Resources["FormalShirtTemplate"] as DataTemplate;
                }
                else if ((item as SubCategory).SubCategoryID == 4)
                {
                    return Resources["JacketTemplate"] as DataTemplate;
                }
                else if ((item as SubCategory).SubCategoryID == 5)
                {
                    return Resources["SweatersTemplate"] as DataTemplate;
                }
                else
                    return Resources["DepartmentTemplate"] as DataTemplate;
            }
            else if(item is Item)
            {
                return Resources[(item as Item).BrandName+"Template"] as DataTemplate;
            }
            else
            {
                Item itm = (Item)item;
                string templateKey = (itm.ItemID == 1) ? "GeneralTemplate" : "GeneralTemplate";
                return Resources[templateKey] as DataTemplate;
            }
        }
    }
}